## nagios-plugins-contrib 14.20141104~ubuntu14.04.1

=== check_libs/Makefile ===
#!/usr/bin/make -f

INIFILES = check-libs.conf
PLUGIN = check_libs
CLEANFILES = $(INIFILES) $(PLUGIN)

include ../common.mk

check_libs:
	cp nagios-check-libs $@
	chmod 755 $@

check-libs.conf:
	cp nagios-check-libs.conf $@

=== check_memcached/Makefile ===
#/usr/bin/make -f
CLEANFILES = check_memcached check_memcached.c
LIBS += -lmemcached

include ../common.mk


check_memcached: check_memcached.o
	$(CC) $(LDFLAGS) -o $@ $< $(LIBS)

=== check_mysql_health/Makefile ===
PLUGIN := check_mysql_health
CLEANFILES := check_mysql_health

include ../common.mk

check_mysql_health:
	set -e; for i in guess sub; do if [ ! -e src/config.$$i.bak ]; then cp src/config.$$i src/config.$$i.bak; fi; done
	cp /usr/share/misc/config.* src
	cd src && ./configure --prefix=/usr --enable-perfdata --enable-extendedinfo --with-nagios-user=nagios --with-nagios-group=nagios --with-statefiles-dir=/var/cache/nagios/ --with-mymodules-dir=/usr/lib/nagios/plugins/ --with-mymodules-dyn-dir=/usr/lib/nagios/plugins/
	make -C src
	cp src/plugins-scripts/check_mysql_health $@
#	sed '2s,^,# nagios: -epn\n,' src/plugins-scripts/check_mysql_health > $@

clean::
	[ ! -f src/Makefile ] || make -C src distclean
	set -e; for i in guess sub; do if [ -e src/config.$$i.bak ]; then mv src/config.$$i.bak src/config.$$i; fi; done

=== check_shutdown/Makefile ===
#/usr/bin/make -f

PLUGIN = check_shutdown

include ../common.mk

=== extras/Makefile ===
#!/usr/bin/make -f

DM_DIR=/usr/share/icinga/plugins/eventhandlers/distributed-monitoring/
MULTI_DIR=/etc/check_multi

all:
	#nothing to do.

install:
	install -d $(DESTDIR)$(MULTI_DIR)
	install -m 644 -o root -g root check_apt.cmd $(DESTDIR)$(MULTI_DIR)
	install -d $(DESTDIR)$(DM_DIR)
	install -m 755 -o root -g root send_nsca_host_or_service_check_result $(DESTDIR)$(DM_DIR)

=== debian/changelog ===
nagios-plugins-contrib (14.20141104~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1397395)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 28 Nov 2014 18:51:46 +0100

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Petter Reinholdtsen <pere@hungry.com>
Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), dh-autoreconf, autotools-dev, flex, libmemcached-dev [!hurd-i386 !arm64], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-plugins-contrib.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-plugins-contrib.git

Package: nagios-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: ${shlibs:Depends}, ${python:Depends}, libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, ldap-utils, lsof, libyaml-syck-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, procps, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, ${perl:Depends}
Suggests: backuppc, perl-doc, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit
Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
     Check /etc/hosts, and make sure the content matches the information
     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
     at the end.
   * check_etc_resolv: plugin to check /etc/resolv.conf
     Check /etc/resolv.conf, and make sure the name servers listed are
     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (rev135): plugin check the HAProxy statistics url
   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
     HP blade enclosures via SNMP.
     The plugin is only tested with the c7000 enclosure.
   * check_hpasm (4.6.3.2): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev153): plugin checking Apache or Lighthttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.5): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_ldap_root (?): plugin to check LDAP server response
     Make sure the LDAP server is able to respond by searching for the
     root DSE.
   * check_libs (520): plugin to report the usage of no longer existing
     libraries by running processes
   * check_lm_sensors (3.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_memory (1.0.1): plugin to check for free memory
     This plugin excludes the system cache and buffer, because
     on some system with very stable memory usage it is perfectly
     normal for system cache to fill in all available memory.
   * check_mongodb (60b639ef4c): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.2.1): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.1.8.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_raid (3.2.1+47b33d53db): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     .
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
   * check_rbl (1.3.5): plugin to check if a server is blacklisted
   * check_shutdown (?): plugin to check LDAP server response
     Make sure the LDAP server is able to respond by searching for the
     root DSE.
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and to be converted the
     received SNMP data into readable strings.
   * check_ssl_cert (1.16.1): plugin to check the CA and validity of an
     X.509 certificate
   * check_uptime (0.521): check_uptime returns uptime of a system
     in text (readable) format as well as in minutes for performance graphing.
     The plugin can either run on a local unix system (using 'uptime' command)
     or check remote system by SNMP. Also it is able to report one CRITICAL
     or WARNING alert if system has been rebooted since last check.
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_varnish (1.1): plugin to monitor varnish instances
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.15): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.11): plugin to check for expiration of
     signatures in dnssec-enabled zones.
   * dsa: plugins from the Debian System Administrators
     nagios plugins repository.
     * check_cert_expire: check for certificate expiration
       using openssl on the certificate file
     * check_dnssec_delegation: check for correct DNSSEC
       delegation
     * check_entropy: check if there is enough entropy available.
     * check_packages: replacement for check_apt; needs a cronjob
       to update the apt database regularily
     * check_running_kernel: check if a system was rebooted after
       a kernel upgrade
     * check_soas: check SOA records
     * check_statusfile: deliver the content of a status file
       as check result
   * extras (1): various scripts and extras
     Not a plugin, but a collection of various useful
     event/obsession handlers and similar scripts.
   * percona-nagios-plugins (1.1.4): Percona Monitoring Plugins (nagios)
     Nagios MySQL Monitoring plugins writting/provided by Percona.
 .
 Some scripts and binaries need more packages installed to work, which is
 implemented as recommends.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), hurd-i386))
	PLUGINS := $(filter-out check_memcached check_varnish,$(PLUGINS))
endif
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), arm64))
	PLUGINS := $(filter-out check_memcached,$(PLUGINS))
endif
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), m68k))
	PLUGINS := $(filter-out check_varnish,$(PLUGINS))
endif

PKGNAME = nagios-plugins-contrib

%:
	dh $@ --with quilt,python2,autotools_dev,autoreconf --parallel

# Here follows a small shell snipped to call dh_auto_* for all plugins
# Currently
# - if a Makefile exists in the plugin directory
#   we run dh_auto_$(1) with -O--sourcedirectory="$$plugin"
# - if $${plugin}/src exists, we run dh_auto_$(1) on that directory
# - else: fail :)
DH_AUTO_CALL = 	if [ "$$auto_command" = "dh_auto_configure" ]; then \
		    export options="$$options -- --enable-stack-protector" ;\
		fi ;\
		if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}" $$options; \
		elif [ -d $(CURDIR)/$$plugin/src ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}/src" $$options; \
		else \
			echo failed to build $$plugin; exit 255 ; \
		fi

PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py


clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
	dh $@ --with quilt,python2,autotools_dev,autoreconf --parallel --with
	rm -f debian/$(PKGNAME).install
	rm -f debian/README.Debian.plugins

clean-%:
	rm -rf debian/$*

dh_auto_install-%:
	# run dh_auto_install to debian/$plugin
	set -e ;\
	    export auto_command="dh_auto_install" ;\
	    export plugin="$*" ;\
	    export options="--destdir=debian/$*" ;\
	    $(DH_AUTO_CALL)
	if [ -d debian/$*/usr/lib/$(PKGNAME) ]; then \
	    mkdir -p debian/$*/usr/lib/nagios ;\
	    mv debian/$*/usr/lib/$(PKGNAME) debian/$*/usr/lib/nagios/plugins ;\
	fi
	# add files to debian/$(PKGNAME).install
	set -e; find debian/$* -type f -printf '%h\n' | sort -u  |\
	    while read dir; do \
	        echo "$$dir/* `echo $$dir | sed 's,debian/$*/,,'`" ;\
	    done >> debian/$(PKGNAME).install
	# create shlibdeps for the plugin into a temp file
	set -e; \
	   opts=`find debian/$* -type f -exec file {} \; |\
	   grep -E ' ELF ' |\
	   sed 's,:.*,,;s,^,-e,' |\
	   tr '\n' ' '` ;\
	   if [ -n "$$opts" ]; then \
	   	dpkg-shlibdeps -O $$opts | grep shlibs:Depends > debian/$*/substvars ;\
	   fi
       
dh_auto_%:
	set -e; \
	    export auto_command=`echo $* | sed 's,-.*,,;s,^,dh_auto_,'` ;\
	    export plugin=`echo $* | sed 's,[^-]*-,,'` ;\
	    $(DH_AUTO_CALL)


override_dh_auto_build: $(PLUGINS:%=dh_auto_build-%)

override_dh_auto_clean: $(PLUGINS:%=dh_auto_clean-%)

override_dh_auto_configure: $(PLUGINS:%=dh_auto_configure-%)

override_dh_auto_install: $(PLUGINS:%=dh_auto_install-%)
	$(PACKAGING_HELPER) --generate-readme

#override_dh_auto_test: $(PLUGINS:%=dh_auto_test-%)
override_dh_auto_test: 
	# nothign to do right now.

override_dh_python2:
	dh_python2
	dh_python2 usr/lib/nagios/plugins usr/lib/nagios/cronjobs

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch override_dh_auto_build override_dh_auto_clean override_dh_auto_configure override_dh_auto_install override_dh_auto_test

## nagios-plugins-contrib 14.20141104~ubuntu14.10.1

=== debian/changelog ===
nagios-plugins-contrib (14.20141104~ubuntu14.10.1) utopic-backports; urgency=medium

  * No-change backport to utopic (LP: #1397395)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 28 Nov 2014 18:51:36 +0100

## nagios-plugins-contrib 16.20151226~bpo8+1

=== debian/changelog ===
nagios-plugins-contrib (16.20151226~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 03 Jan 2016 12:49:40 +0100

nagios-plugins-contrib (16.20151226) unstable; urgency=medium

  [ Jan Wagner ]
  * [a3207bd] check_mysql_health: Update to 2.2.1
  * [31c7ed1] check_mysql_health: Remove integrated patches/check_mysql_health/documentation_url
  * [dfc20c0] travis-ci: Installing newer autoconf
  * [f55699c] travis-ci: Installing automake1.9
  * [295f5a4] Generating new control file
  * [12e0087] Updating debian/changelog
  * [e5d713c] Revert "Updating debian/changelog"
    This reverts commit 12e0087eb624f7db93a56483c793bc8d2c28ab3f.
  * [b9c168a] Creating new changelog entry
  * [f27768f] debian/control.in: reformating with warp-and-sort
  * [9362ba8] Rebuild debian/control
  * [22ddfa6] check_raid: Update to latest version 3.2.5
  * [c9f64fb] check_multipath: Update to latest version 0.3.0
  * [fd2e679] check_whois: Update to latest version 1.19
  * [9b19d0a] check_memcached: Install libmemcached-dev as build dependency on arm64 too (Closes: #798432)
  * [4a79b7e] Updating debian/control

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Dec 2015 18:19:43 +0100

nagios-plugins-contrib (15.20150818) unstable; urgency=medium

  The debconf15 release.

  [ Evgeni Golov ]
  * [655f77d] fix check_ipmi_sebsor version
    it was correct in the upload, but not in Git

  [ Jan Wagner ]
  * [0da5840] Disable rbl.orbitrbl.com, it's offline
    - Adding check_rbl/disable_orbitrbl.com see
    http://www.dnsbl.com/2014/10/status-of-rblorbitrblcom-dead.html
  * [9849824] check_email_delivery: Add libnet-smtpauth-perl as Recommends for
    CRAM-MD5

  [ Bernd Zeimetz ]
  * [1151ce3] Add update-check_libs-status cronjob script.
  * [3479e9d] Update check_apt.cmd to use update-check_libs-status.
  * [ec49961] snapshot changelog.

  [ Jan Wagner ]
  * [52030fc] Fixing changelog entries

  [ Bernd Zeimetz ]
  * [f66a1d8] Remove , from check_packages output.

  [ Jan Wagner ]
  * [803520c] Adding check_rbl/disable_ahbl.org patch (Closes: #774749)

  [ Bernd Zeimetz ]
  * [1853853] Updating snapshot changelog.
  * [b308bb7] Remove duplicate check_apt.cmd file.
  * [f3e3cee] Add check_libvirt.
  * [112168d] Auto update of debian/copyright
  * [40a9288] Auto update of debian/control
  * [1e398f9] Make check_libs faster.
  * [d7cf267] Add breaks/replaces for smooth upgrades from squeeze.
  * [1ae1eee] Add check_redis.
  * [89a53d3] Auto update of debian/copyright
  * [09d0cdb] Auto update of debian/control
  * [bce89a0] Merge remote-tracking branch 'github/master'

  [ Jan Wagner ]
  * [8733ae5] check_redis: Adding command definition config
  * [5874628] check_redis: Fixing command definition
  * [6ed8e1b] check_mongodb: Updating to latest version
  * [b9544e3] check_mysql_health: Updating to 2.1.9.2
  * [a2c74a4] check_raid: Updating to 3.2.2
  * [19e1262] check_raid: Updating to latest git version (5bc04e1822)
  * [5862270] check_ssl_cert: Updating to 1.17.0
  * [e4c7bc0] check_cups: Update Homepage
  * [cc9ce25] check_drbd: Update Homepage and Watch header
  * [99c5b84] check_rbl: Updating to 1.3.7
  * [160e8d3] check_rbl: Move back to Nagios::Plugin again by adding
    patches/check_rbl/nagios-plugins
  * [8b921f7] check_whois: Updating to 1.16
  * [90e3211] check_ipmi_sensor: Updating to 3.7
  * [37d10e7] Drop check_rbl/disable_ahbl.org
  * [a2b7c69] Drop check_rbl/disable_orbitrbl.com

  [ Bernd Zeimetz ]
  * [d33acc6] Some better travis scripts.
  * [22073ab] Handle php4nagios templates
  * [ec7197a] Install check_redis pnp4nagios template
  * [f8d59a3] Fix check_ajp to handle non-responding tcp ports.
  * [2709f46] install equivs in .travis.yml
  * [d0e0af8] Revert "Fix check_ajp to handle non-responding tcp ports."
    This reverts commit f8d59a383175bbcf0011b8308d0505868c6b61e4.
    Change was applied by patch...
  * [f948c66] Merge branch 'master' of
    alioth.debian.org:/git/pkg-nagios/pkg-nagios-plugins-contrib

  [ Jan Wagner ]
  * [8696a41] common.mk: Using TAB instead of white spaces

  [ Bernd Zeimetz ]
  * [c408dff] Typo fix.
  * [b41594f] Add check_haproxy_stats.
  * [5e5ae83] Auto update of debian/copyright
  * [cb814e2] Auto update of debian/control
  * [23c7416] Update snapshot changelog.
  * [53e1b9c] Fix version number in changelog

  [ Jan Wagner ]
  * [9bcec60] check_hpasm: Update to  4.7.0.2
  * [9609f87] check_raid: Update to 3.2.3
  * [c750062] check_ssl_cert: Update to 1.17.1
  * [ff74dbd] check_rbl: Disable dul.ru
  * [c11ef66] check_mongo: Update to recent version
  * [32e8ae4] check_hpasm: Updating to latest 4.7.1.1
  * [a08beb2] check_ipmi_sensor: Updating to 3.8
  * [25d1eea] Updating control file
  * [74ea485] check_uptime: Update check_uptime.cfg to use the correct script
    (Closes: #787839)
  * [45d50da] check_raid: Update to 3.2.4
  * [af3e278] check_ipmi_sensor: Update to version 3.9

  [ Bernd Zeimetz ]
  * [94ad100] implement git clean support in extras/Makefile
  * [406aa15] Add makefile to build all plugins.
  * [2655fe2] Add Makefile.
    First step to get rid of dh crazyness.
  * [94c0879] Fixing pthread linking fail for check_memcached.

  [ Jan Wagner ]
  * [140e08e] check_mongodb: Update to latest upstream

  [ Bernd Zeimetz ]
  * [22769ea] Let debian/rules use the new Makefile.
  * [1a74854] build the debian readme again

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 18 Aug 2015 18:04:21 +0200

## nagios-plugins-contrib 16.20151226~bpo70+1

=== debian/changelog ===
nagios-plugins-contrib (16.20151226~bpo70+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 03 Jan 2016 12:54:22 +0100

## nagios-plugins-contrib 16.20151226

=== check_checksums/Makefile ===
PLUGIN := check_checksums

include ../common.mk

install::
	install -d $(DESTDIR)/usr/lib/nagios
	install -m 755 -o root -g root update_checksums $(DESTDIR)/usr/lib/nagios

=== check_ldap_root/Makefile ===
#/usr/bin/make -f

PLUGIN = check_ldap_root

include ../common.mk

=== check_rbl/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_rbl
MANPAGES = check_rbl.7
INIFILES = src/check_rbl.ini
DOCFILES = src/README
CLEANFILES = check_rbl.7


include ../common.mk


check_rbl.7: src/check_rbl.pod
	pod2man -s 7 $< > $@

=== check_ssl_cert/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_ssl_cert
MANPAGES = src/check_ssl_cert.1
DOCFILES = src/README

include ../common.mk

=== check_ssl_cert/check_ssl_cert-1.17.1/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	VERSION=`cat VERSION`
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~
	rm -rf rpmroot

test:
	( cd test && ./unit_tests.sh )

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec

.PHONY: install clean test rpm

# File version information:
# $Id: AUTHORS 1103 2009-12-07 07:49:19Z corti $
# $Revision: 1103 $
# $HeadURL: https://svn.id.ethz.ch/nagios_plugins/check_updates/AUTHORS $
# $Date: 2009-12-07 08:49:19 +0100 (Mon, 07 Dec 2009) $

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,12 @@
 Priority: extra
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Petter Reinholdtsen <pere@hungry.com>
-Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), dh-autoreconf, autotools-dev, flex, libmemcached-dev [!hurd-i386 !arm64], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
+Build-Depends: debhelper (>= 8.0.0),
+               dh-autoreconf,
+               python,
+               python-debian,
+               quilt (>= 0.46-7),
+               autotools-dev, flex, libmemcached-dev [!hurd-i386], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-plugins-contrib.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-plugins-contrib.git
@@ -11,8 +16,11 @@
 Package: nagios-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: ${shlibs:Depends}, ${python:Depends}, libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, ldap-utils, lsof, libyaml-syck-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, procps, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, ${perl:Depends}
-Suggests: backuppc, perl-doc, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit
+Recommends: libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, ldap-utils, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, procps, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
+            ${perl:Depends},
+            ${python:Depends},
+            ${shlibs:Depends}
+Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit
 Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
@@ -58,11 +66,14 @@
      Check /etc/resolv.conf, and make sure the name servers listed are
      working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
    * check_graphite: Plugin to monitor graphite metrics
-   * check_haproxy (rev135): plugin check the HAProxy statistics url
+   * check_haproxy (rev135): plugin to check the HAProxy statistics url
+   * check_haproxy_stats (1.0.1): check haproxy via admin socket
+     Different from check_haproxy this plugin is able to check
+     haproxy via the unix admin socket.
    * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
      HP blade enclosures via SNMP.
      The plugin is only tested with the c7000 enclosure.
-   * check_hpasm (4.6.3.2): plugin to check the hardware health of
+   * check_hpasm (4.7.1.1): plugin to check the hardware health of
      HP Proliant Servers
      It either uses snmp or - if installed - the hpasm package locally.
      The plugin checks the health of
@@ -76,7 +87,7 @@
      outside its normal parameters.
    * check_httpd_status (rev153): plugin checking Apache or Lighthttpd
      server-status page (using mod_status)
-   * check_ipmi_sensor (3.5): IPMI Sensor Monitoring Plugin
+   * check_ipmi_sensor (3.9): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
      voltages, power usage, ...) of a server using IPMI.
    * check_ldap_root (?): plugin to check LDAP server response
@@ -84,6 +95,7 @@
      root DSE.
    * check_libs (520): plugin to report the usage of no longer existing
      libraries by running processes
+   * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
    * check_lm_sensors (3.1.1): plugin to monitor hardware sensors
      and disk temperatures
    * check_memcached (1.3): plugin to check memcached instances
@@ -97,16 +109,16 @@
      This plugin excludes the system cache and buffer, because
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
-   * check_mongodb (60b639ef4c): Plugin script to monitor your MongoDB server(s)
-   * check_multipath (0.2.1): plugin to monitor the number of available and
+   * check_mongodb (abf2daad31): Plugin script to monitor your MongoDB server(s)
+   * check_multipath (0.3.0): plugin to monitor the number of available and
      failed paths of multipath devices
-   * check_mysql_health (2.1.8.2): plugin to check various parameters of a
+   * check_mysql_health (2.2.1): plugin to check various parameters of a
      MySQL database
    * check_nfsmounts: checks whether there are stale NFS mounts on the host
    * check_printer: plugin to check printer supply levels using SNMP
      It outputs performance data for all supplies
      found, for example toner and drum.
-   * check_raid (3.2.1+47b33d53db): plugin to check sw/hw RAID status
+   * check_raid (3.2.5): plugin to check sw/hw RAID status
      The plugin looks for any known types of RAID configurations,
      and checks them all.
      .
@@ -131,7 +143,16 @@
      - Serveraid IPS via ipssend
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
-   * check_rbl (1.3.5): plugin to check if a server is blacklisted
+     - Detecting SCSI devices or hosts with lsscsi
+   * check_rbl (1.3.7): plugin to check if a server is blacklisted
+   * check_redis (0.73): Redis Server check plugin
+     This plugin checks Redis NoSQL database status variables,
+     measures its response time and if specified allows to set thresholds
+     on one or more key data. You can set thresholds for data in stats
+     variables and some of them are also conveniently available as long options
+     with special threshold syntax. Plugin also calculates statistics such as
+     Hitrate (calculated as rate of change of hits/misses) and memory use and
+     can check replication delay.
    * check_shutdown (?): plugin to check LDAP server response
      Make sure the LDAP server is able to respond by searching for the
      root DSE.
@@ -152,7 +173,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.16.1): plugin to check the CA and validity of an
+   * check_ssl_cert (1.17.1): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.
@@ -172,7 +193,7 @@
      individual system components that have HTTP interfaces
      (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
      XML/SOAP Web Services, REST, etc).
-   * check_whois (1.15): plugin to check for the expiration of a domain.
+   * check_whois (1.19): plugin to check for the expiration of a domain.
      The plugin may not yet work with all registrars, since their
      output formats differ or there is no expiration date in the
      whois output.
@@ -184,21 +205,3 @@
      nagios plugins repository.
      * check_cert_expire: check for certificate expiration
        using openssl on the certificate file
-     * check_dnssec_delegation: check for correct DNSSEC
-       delegation
-     * check_entropy: check if there is enough entropy available.
-     * check_packages: replacement for check_apt; needs a cronjob
-       to update the apt database regularily
-     * check_running_kernel: check if a system was rebooted after
-       a kernel upgrade
-     * check_soas: check SOA records
-     * check_statusfile: deliver the content of a status file
-       as check result
-   * extras (1): various scripts and extras
-     Not a plugin, but a collection of various useful
-     event/obsession handlers and similar scripts.
-   * percona-nagios-plugins (1.1.4): Percona Monitoring Plugins (nagios)
-     Nagios MySQL Monitoring plugins writting/provided by Percona.
- .
- Some scripts and binaries need more packages installed to work, which is
- implemented as recommends.

## nagios-plugins-contrib 16.20151226ubuntu0.16.04.1

=== Makefile ===
PLUGINS := $(strip $(shell find . -mindepth 2 -maxdepth 2 -name Makefile -printf '%h '))

ifeq ($(wildcard '/etc/debian_version'),'/etc/debian_version')
HOST_ARCH := $(strip $(shell dpkg-architecture -q DEB_HOST_ARCH))
else
ifeq ($(wildcard '/usr/bin/rpm'),'/usr/bin/rpm')
HOST_ARCH := $(strip $(shell rpm --eval '%{_arch}'))
endif
endif

ifeq ($(HOST_ARCH),$(filter $(DEB_HOST_ARCH), hurd-i386))
	PLUGINS := $(filter-out check_memcached check_varnish,$(PLUGINS))
endif
ifeq ($(HOST_ARCH),$(filter $(DEB_HOST_ARCH), arm64))
	PLUGINS := $(filter-out check_memcached,$(PLUGINS))
endif
ifeq ($(HOST_ARCH),$(filter $(DEB_HOST_ARCH), m68k))
	PLUGINS := $(filter-out check_varnish,$(PLUGINS))
endif


default: all

$(PLUGINS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean install : $(PLUGINS)

=== check_etc_resolv/Makefile ===
#/usr/bin/make -f

PLUGIN = check_etc_resolv

include ../common.mk

=== check_memory/Makefile ===
include ../common.mk

=== check_mongodb/Makefile ===
PLUGIN := check_mongodb
CLEANFILES := check_mongodb
DOCFILES := README.md

include ../common.mk

check_mongodb:
	cp $@.py $@
	chmod 755 $@

=== check_smstools/Makefile ===
PLUGIN := check_smstools
CLEANFILES := check_smstools
DOCFILES := README.check_smstools


include ../common.mk

check_smstools: bin/check_smstools
	cp $< $@
	chmod 755 $@

=== debian/changelog ===
nagios-plugins-contrib (16.20151226ubuntu0.16.04.1) xenial; urgency=medium

  * pmp-check-unix-memory: Consider MemAvailable if available in /proc/meminfo. (LP: #1610878)

 -- Christian Biamont <christian.biamont@su.se>  Tue, 28 Feb 2017 10:18:11 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: extra
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Petter Reinholdtsen <pere@hungry.com>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -203,5 +204,3 @@
      signatures in dnssec-enabled zones.
    * dsa: plugins from the Debian System Administrators
      nagios plugins repository.
-     * check_cert_expire: check for certificate expiration
-       using openssl on the certificate file

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PKGNAME = nagios-plugins-contrib
PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

%:
	dh $@ --with quilt,python2

override_dh_auto_build:
	dh_auto_build
	$(PACKAGING_HELPER) --generate-readme

PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py


clean: debian/copyright debian/control
	dh $@ --with quilt,python2
	rm -f debian/README.Debian.plugins

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch

## nagios-plugins-contrib 16.20151226ubuntu0.16.10.1

=== debian/changelog ===
nagios-plugins-contrib (16.20151226ubuntu0.16.10.1) yakkety; urgency=medium

  * pmp-check-unix-memory: Consider MemAvailable if available in /proc/meminfo. (LP: #1610878)

 -- Christian Biamont <christian.biamont@su.se>  Tue, 28 Feb 2017 10:18:11 -0800

## nagios-plugins-contrib 20.20170118~bpo8+1

=== debian/changelog ===
nagios-plugins-contrib (20.20170118~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

  * [69e563a] Add gbp.conf
  * [5fa6fd4] Update changelog for jessie backports.
  * [e1ce662] Build jessie-backports only on travis.
  * [8c6eb75] Fix backports handling in .travis.yml
  * [87b3fd9] Revert "Remove check_shutdown."
              Should work in jessie, leave it in there for backports.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 03 Jan 2017 18:49:56 +0100

nagios-plugins-contrib (20.20170118) unstable; urgency=medium

  [ Evgeni Golov ]
  * [3a9cdf5] more test restrictions
  * [49b66d4] simplify tests
  * [3253d36] Auto update of debian/tests/control
  * [7383aed] cleanup travis.yml
    travis.d.n already does git fetch and lintian for us
  * [3b61c62] call lintian with extended flags as before
  * [8ffd6ec] add python2.7 and python-pymongo to percona control
  * [8486be7] Auto update of debian/control

  [ Bernd Zeimetz ]
  * [f84c6a0] Remove check_shutdown.
    Does not work with systemd.
    Resolves #54
  * [9038743] Remove check_ldap_root.
    This is nothing check_ldap could not handle.
    Please use check_ldap.
  * [6083eb6] Updating checks from DSA.
  * [fbd854d] Enhance check_running_kernel.
    Support Ubuntu and CentOS, also warn about missing filter utils.
    Thanks to Jonas Meurer (Closes: #780098)
  * [0174352] Auto update of debian/copyright
  * [95b656e] Auto update of debian/control
  * [1e2803d] Merge remote-tracking branch 'origin/master'
  * [a238057] Install check_mongodb.py symlink.
    Resolves #77.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 18 Jan 2017 22:18:18 +0100

nagios-plugins-contrib (19.20170104) unstable; urgency=medium

  [ Jan Wagner ]
  * [985772d] check_raid: Update to 4.0.5
  * [59eb257] check_ssl_cert: Updating to 1.37
  * [19d36d2] Update d/copyright
  * [2b665d0] check_ssl_cert: Fix vesion in control file
  * [55e47ca] Updating d/control

  [ Evgeni Golov ]
  * [2f8ecec] allow Restrictions in tests
  * [1f127a6] add test restrictions
  * [225d1df] check_varnish: add test
  * [00da8b9] fix trailing space
  * [5ed4f55] Auto update of debian/tests/control

 -- Jan Wagner <waja@cyconet.org>  Wed, 04 Jan 2017 13:50:13 +0100

nagios-plugins-contrib (18.20170103) unstable; urgency=medium

  [ Jan Wagner ]
  * [54e94e9] d/changelog: New changelog

  [ Bernd Zeimetz ]
  * [92fd6af] Fix HOST_ARCH detection for check_varnish and others.
  * [9238b6c] Merge remote-tracking branch 'github/master'
  * [1ade7ce] check_nfsmount: nfs4 support.
    Resolves #73
    Thanks to gvogets
  * [ed6148e] check_httpd_status-digest: make -r option work.
    Resolves #61
    Thanks to Michael Weinrich
  * [609758d] Merge pull request #71 from waja/check_smstools_pr60.
    Add debian/patches/check_smstools/operator_siglvl, thanks ZyanKLee
  * [5ddb796] Merge pull request #72 from evgeni/tests
    add a few tests
  * [84c0942] Revert "Remove unused check_varnish Makefile."
    This reverts commit b6f439c44914471004cf8c8af120bd05f3afcb2e.
  * [8ecb979] Fix percona-nagios-plugins watch line
  * [b713758] Fix architecture detection in Makefile
  * [9fab6a3] Updating percona-monitoring-plugins to 1.1.7
  * [47f82e5] Remove check_varnish for now.
    It is not compatible to varnish 5.
  * [f4f72ee] Auto update of debian/control
  * [67b7308] Auto update of debian/copyright
  * [55ac3ea] Revert "Remove check_varnish for now."
    This reverts commit 47f82e5244a1e6a1874cb20dd497b63ea4d51512.
  * [c8edb54] Update check_varnish to latest git version.
  * [ce99574] Add autotools stuff for check_varnish.
  * [f2c1500] Make varnish build with v5
  * [3cca7ae] Auto update of debian/control
  * [cab0430] Use default mirror for travis.
  * [54c9557] Add autopkgtest for check_varnish
  * [53b8990] Choose random varnish ports.
    Otherwise test jobs running in parallel will fail.
  * [87a77dc] avoid output on stderr in test_check_varnish
  * [cfb86ca] Make Zhenech happy.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 03 Jan 2017 18:36:14 +0100

nagios-plugins-contrib (17.20161211) unstable; urgency=medium

  [ Evgeni Golov ]
  * [743a7ba] implement tests for check_cups and httpd

  [ Jan Wagner ]
  * [f2ad81b] travis-ci: Build against unstable, testing and stable; run lintian
  * [51e1deb] d/control: Bump Standards-Version to 3.9.8, no changes needed
  * [a316cb8] check_raid: Update to 4.0.3
  * [3699879] check_mongodb: Updating to latest version 8c5cc99
  * [a5b2276] check_ipmi: Update to 3.12
  * [60319ea] check_ssl_cert: Updating to 1.35.0

  [ Evgeni Golov ]
  * [a16fc7d] stat daemons before running tests
  * [65c8472] Auto update of debian/tests/control
  * [5255d54] check_httpd_status: only accept numeric uptime output
  * [cd76f3a] apache2 tends to be a bit chatty during restart, shut it up
  * [b34a201] Auto update of debian/tests/control

  [ Jan Wagner ]
  * [0a4e29e] check_mongodb: Fix version in control file
  * [2218a15] check_hpasm: Update to 4.7.5.2
  * [7bd78e4] Adding d/patches/check_cups/ParseDateDelta (Closes: #844319),
    thanks Manuel Hachtkemper

  [ Petter Reinholdtsen ]
  * [789bdb5] Improve check_shutdown control file.

  [ Jan Wagner ]
  * [1c5fbfe] d/control: Update VCS-URLs to https

  [ Evgeni Golov ]
  * [ac93909] allow tests to run with libnagios-plugin-perl on jessie
  * [3478a48] Auto update of debian/tests/control

  [ Jan Wagner ]
  * [171275f] check_printer: Add missing hostname option into check command
  * [6e1f6c2] check_printer: Disable epn (Closes: #808722)
  * [63564c7] check_ssl_cert: Updating to 1.36.1
  * [1d9afb0] Add d/patches/check_libvirt/fix_uom, thanks Björn Lässig
  * [827da04] check_raid: Update to 4.0.4
  * [056d78e] check_ssl_cert: Fix version in control file to 1.36.1
  * [9fea343] d/control.in: Updating to values committed to control
  * [15d33f8] d/control: Updating to latest plugin versions

 -- Jan Wagner <waja@cyconet.org>  Sun, 11 Dec 2016 14:33:04 +0100

=== debian/tests/control ===
Test-Command: mkdir -p /etc/nagios/ && sha256sum /bin/true > /etc/nagios/check_checksums.sha256 && /usr/lib/nagios/plugins/check_checksums
Restrictions: needs-root, breaks-testbed

Depends: cups, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-cups-perl, @
Test-Command: /usr/lib/nagios/plugins/check_cups -H localhost
Restrictions: needs-root, isolation-container

Depends: libnet-dns-perl, @
Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
Restrictions: needs-root, breaks-testbed

Test-Command: /usr/lib/nagios/plugins/check_etc_resolv
Depends: bind9-host | knot-host, @

Depends: apache2, liblocale-gettext-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, liblwp-useragent-determined-perl, @
Test-Command: /usr/lib/nagios/plugins/check_httpd_status -H localhost
Restrictions: needs-root, allow-stderr, isolation-container

Depends: lsof, libyaml-syck-perl, @
Test-Command: /usr/lib/nagios/plugins/check_libs

Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
Test-Command: /usr/lib/nagios/plugins/check_uptime -f

Depends: varnish, systemd, dbus, @
Restrictions: needs-root, isolation-container
Tests: test_check_varnish
